## org.apache.lucene.queryparser.flexible.standard.parser
Class ParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.lucene.queryparser.flexible.core.QueryNodeException
                  org.apache.lucene.queryparser.flexible.core.QueryNodeParseException
                      org.apache.lucene.queryparser.flexible.standard.parser.ParseException

All Implemented Interfaces:
  Serializable, NLSException

    public class ParseException

extends QueryNodeParseException

This exception is thrown when parse errors are encountered. You can explicitly create objects of this exception type by calling the method generateParseException in the generated parser. You can modify this class to customize your error reporting mechanisms so long as you retain the public fields.

See Also:
  Serialized Form

Field Summary
`Token` `currentToken` This is the last token that has been consumed successfully.
`protected String` `eol` The end of line string for this machine.
`int[][]` `expectedTokenSequences` Each entry in this array is an array of integers.
`String[]` `tokenImage` This is a reference to the "tokenImage" array of the generated parser within which the parse error occurred.

Fields inherited from class org.apache.lucene.queryparser.flexible.core.QueryNodeException
`message`

Constructor Summary
`ParseException()` The following constructors are for use by you for whatever purpose you can think of.
`ParseException(Message message)` Constructor with message.
`ParseException(Token currentTokenVal, int[][] expectedTokenSequencesVal, String[] tokenImageVal)` This constructor is used by the method "generateParseException" in the generated parser.

Method Summary

Methods inherited from class org.apache.lucene.queryparser.flexible.core.QueryNodeParseException
`getBeginColumn, getBeginLine, getErrorToken, getQuery, setBeginColumn, setBeginLine, setErrorToken, setNonLocalizedMessage, setQuery`

Methods inherited from class org.apache.lucene.queryparser.flexible.core.QueryNodeException
`getLocalizedMessage, getLocalizedMessage, getMessage, getMessageObject, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### currentToken

    public Token currentToken

  This is the last token that has been consumed successfully. If this object has been created due to a parse error, the token followng this token will (therefore) be the first error token.

### expectedTokenSequences

    public int[][] expectedTokenSequences

  Each entry in this array is an array of integers. Each array of integers represents a sequence of tokens (by their ordinal values) that is expected at this point of the parse.

### tokenImage

    public String[] tokenImage

  This is a reference to the "tokenImage" array of the generated parser within which the parse error occurred. This array is defined in the generated ...Constants interface.

### eol

    protected String eol

  The end of line string for this machine.

Constructor Detail

### ParseException

    public ParseException(Token currentTokenVal,
                          int[][] expectedTokenSequencesVal,
                          String[] tokenImageVal)

  This constructor is used by the method "generateParseException" in the generated parser. Calling this constructor generates a new object of this type with the fields "currentToken", "expectedTokenSequences", and "tokenImage" set.

### ParseException

    public ParseException()

  The following constructors are for use by you for whatever purpose you can think of. Constructing the exception in this manner makes the exception behave in the normal way - i.e., as documented in the class "Throwable". The fields "errorToken", "expectedTokenSequences", and "tokenImage" do not contain relevant information. The JavaCC generated code does not use these constructors.

### ParseException

    public ParseException(Message message)

  Constructor with message.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.